=== debian/changelog ===
bsnes (0.080-1) unstable; urgency=low

  * Initial release (Closes: #598968)

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 05 Aug 2011 14:02:01 +0200
