=== debian/changelog ===
bsnes (0.081-2) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS due to hardwired gcc-4.5. (Closes: #637694)

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 13 Aug 2011 23:36:22 +0200
