=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,12 @@
 
 override_dh_auto_build:
 	mkdir -p bsnes/obj bsnes/out snesfilter/out
-	dh_auto_build -Dbsnes -- profile=compatibility
+	dh_auto_build -Dbsnes -- compiler=gcc phoenix=gtk profile=compatibility
 	make -Cbsnes clean
-	dh_auto_build -Dbsnes -- profile=accuracy
+	dh_auto_build -Dbsnes -- compiler=gcc phoenix=gtk profile=accuracy
 	make -Cbsnes clean
-	dh_auto_build -Dbsnes -- profile=performance
-	dh_auto_build -Dsnesfilter
+	dh_auto_build -Dbsnes -- compiler=gcc phoenix=gtk profile=performance
+	dh_auto_build -Dsnesfilter -- compiler=gcc
 	cd snespurify && chmod 755 cc-gtk.sh && ./cc-gtk.sh
 	chmod 644 snesshader/*.OpenGL.shader
