=== debian/changelog ===
bsnes (0.083-1) unstable; urgency=low

  * New upstream release.
  * Create symlinks instead of copying files in startscript. (Closes: #642348)
  * Fix FTBFS on kfreebsd due to enabled ALSA and missing check for 
    __FreeBSD_kernel__. (Closes: #640912)
  * Add Build-Depends: gcc (>= 4.6), because building with gcc 4.5 causes a bug.
  * Mention update-alternatives in package description.
  * Add bugfix for snespurify crashing when scanning a broken zip file.
  * Main license changed to GPL-3.
  * Mention new functionality in snespurify man page.
  * Build with -O1 + flags from -O3 instead of -O3.

 -- Tobias Hansen <tobias.han@gmx.de>  Sun, 16 Oct 2011 00:45:33 +0200
