=== debian/changelog ===
bsnes (0.084-1) unstable; urgency=low

  [ Tobias Hansen ]
  * New upstream release.
  * Remove optimization flags not available on alpha.

  [ Gonéri Le Bouder ]
  * Add: DM-Upload-Allowed: yes

 -- Tobias Hansen <tobias.han@gmx.de>  Wed, 09 Nov 2011 23:55:12 +0100

bsnes (0.083-2) unstable; urgency=low

  * Properly detect endianness on all architectures. (Closes: #645710)
  * Escape minuses in man pages.

 -- Tobias Hansen <tobias.han@gmx.de>  Tue, 18 Oct 2011 02:11:24 +0200
