=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-games/bsnes.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/bsnes.git
 Homepage: http://byuu.org/bsnes/
+DM-Upload-Allowed: yes
 
 Package: bsnes
 Architecture: any
@@ -28,3 +29,6 @@
  system resources. Which profile to use can be set with:
  .
  # update-alternatives --config bsnes-bin
+ .
+ Although not as polished as the SNES emulation (yet), there is also support
+ for NES, Gameboy and Gameboy Color games.
