## bsnes 0.085

=== debian/changelog ===
bsnes (0.085-1) unstable; urgency=low

  * New upstream release.

 -- Tobias Hansen <tobias.han@gmx.de>  Thu, 12 Jan 2012 23:52:21 +0100
